# ezQuake Manual: Command-line Options

a, b, c, d, f, g, h, i, j, m, n, p, r, s, t, u, v, w, z

## -allow360

The default behaviour is: We only have room for 15 fullscreen modes, so don't allow 360-wide modes, because if there are 5 320-wide modes and 5 360-wide modes, we'll run out of space. Using this commandline option you can change this behaviour.

## -allowmultiple

Allows multiple instances of client. Allowed only in debug builds.

## -autostretch

This switch enables the stretching of the screen through pixel doubling when using high resolutions.

## -basedir `<path>`

This switch sets the location of the game data files. You can use this switch to keep the executable files separate of the game files and then use this command to point the game executable at the location of the game files. This might be useful on networked file systems so that only one copy of the game files is kept while people can use their own executable to run the game. This switch is very similar to the "-path" switch.

### Arguments

example: C:\Games\Quake or /usr/quake

## -bpp `bits`

This switch allows you to specify how many bits per pixel should be used. ezquake-gl.exe -bpp 32

### Arguments

16/24/32

### Notes

GL only.

## -cdaudio

Enable Quake's ability to play CDs.

## -cddev `<device>`

CD device, default is /dev/cdrom

### Arguments

E.g. /dev/cdrom

## -cheats

Enable to use cheats (need server support).

## -clientport `<port>`

Allows you to run client on different port than the default.

### Arguments

Default is 27001

## -conbufsize `<size_kb>`

Sets the console buffer size in kilobytes. Default is 64 kB. Maximum is 4 MB.

## -condebug

This switch enables logging of the console text in the "qconsole.log" file in the quake/qw/ directory. This is very useful if you are trying to catch bugs in the game. You can also use this command to keep a log of all the conversations that go on when you play on a server.

## -conheight `<height>`

This switch specifies the vertical resolution for the console screen. Note: You can use this command to stretch the size of the console to the actual screen resolution in order to prevent the squashed font look. When you use this command you should also use the -conwidth command to specify the horizontal resolution.

### Arguments

Example: ezquake-gl.exe -conwidth 800 -conheight 600

### Notes

GL only.

## -conwidth `<width>`

This switch will set the width of the console screen based on the resolution specified.

### Arguments

Example: ezquake-gl.exe -conwidth 640

### Notes

GL only.

## -current

This switch can be used to start the game in the current video mode for OpenGL.

### Notes

GL only.

## -dedicated

Support for dedicated "pingers", which can be set up on your isp or some close by server on a fat pipe to do all the server pinging for you.

## -detailtrails

More detailed particle trails. (VULT particles).

### Notes

GL only.

## -dibonly

Description: Enable windowed video modes only. This switch can be extremly useful for LAPTOP users. If your machine forces 60 FPS/Hz and you cannot get any more, eventhough you suspect that your computer can handle it, -dibonly should work.

## -dinput

This switch enables the use of DirectInput. This is necessary when using Advanced Mouse Smoothing for example.

## -force `<modenum>`

This switch will force the client to start up in the specified video mode. Note: You can use the "vid_modelist" command to obtain a list of all the available OpenGL video modes.

### Arguments

Example: ezquake-gl.exe -force 2

### Notes

GL only.

## -forceTextureReload

Forces reloading textures.

## -freq `<Hz>`

Set display refresh rate (frequency).

### Arguments

In case of problems set this to 75 or 60.

## -fullsbar

Enable the refreshing of the full status bar. Note: Normally the game will not refresh the full status bar, only the parts of it that change. This can sometimes cause flicker when a number changes on the status bar. When you use this parameter the status bar will be rendered with every frame thus it will remain refreshed all the time.

### Notes

GL only.

## -fullscreen

Fullscreen mode.

### Notes

GL only,Linux only.

## -game

Same as gamedir for server.

## -gamma

Change the gamma of the screen.

## -gl_ext

Prints loaded OpenGL extensions into the console on startup.

### Notes

GL only.

## -heapsize `<size>`

This switch will specify the amount of memory in kilobytes allocated for Quake. Note: You might need to use this parameter when playing on or developing large maps which require a lot of memory. Also if you start receiving the microchip icon on your game screen you might need to use this parameter to allocate more memory for the game.

### Arguments

Kilobytes. Reasonable range is from 8192 to 131072.

## -height `<height>`

This switch specifies the width of the video resolution to run the game in. Note: You should also use the "-width" parameter when using this parameter to specify the horizontal resolution.

### Arguments

Example: ezquake-gl.exe -width 512 -height 384

## -ip

Server command.

## -joystick

Enable the joystick.

## -maxtmu2

Prevents using more than two texture units. Intended for buggy ATI cards. Lowers performance so don't use it if you don't have any problems.

### Notes

GL only.

## -mdev `<devname>`

Mouse device, default is

### Arguments

e.g. /dev/mouse

### Notes

Linux only.

## -mem `<size>`

Specify memory in megabytes to allocate (default is 8MB, which should be fine for most needs).

### Arguments

Amount of megabytes.

## -mevdev `/dev/input/eventX`

Enables EVDEV mouse. EVDEV must be enabled in kernel configuration

### Arguments

play with it. If you have one keyboard and one mouse it will be event0 or event1.

### Notes

GL only,Linux only.

## -minmemory `<size>`

This switch allows you to define the minimum amount of memory that should be allocated for Quake. Example: ezquake-gl.exe -minmemory 16000 Note: It is best to leave this parameter alone and instead use the "-heapsize" parameter to specify the amount of memory that the game can use.

### Arguments

Amount of kilobytes.

## -mmt

Enables EVDEV support.

### Notes

Linux only.

## -mode `<modenum>`

This switch is used to specify the video mode that the client should start up in.

### Notes

GL only.

## -mrate

Svgalib stuff (Linux)

### Notes

Linux only,Software only.

## -m_mwhook

Allows you to bind up to eight mouse buttons on Logitech mouse. You have to use MouseWare. You must have mw_hook.dll in your quake dir (same dir where the game executables are). Works both when using -dinput and not using -dinput. The idea of doing this originally came from [EZH]FAN. It was first implemented by BorisU in qw262.

### Notes

Win32 only.

## -m_smooth

This is meant to smooth your mouse movements and maximize mouse responsiveness. If you're unlucky and cannot get rate 200 with your mouse/windows/drivers, and don't want to use m_filter, because of the latency it brings to your movements, then this is for you. However, also if you have a smooth mouse with 200 Hz sample rate you can give it a try. Requirements: "-dinput" in your command-line (currently it only works with direct input, but that may change in future "-m_smooth" in your command-line your mouse rate must be at least as high as the FPS you play at, or your mouse will still move roughly (if you use PS2 mouse and Win9X try ps2rate) "m_rate <rate> must be set to your mouse rate (use "m_showrate 1" if you are not sure)

## -no24bit

Prevents loading 24-bit textures, charsets, images, etc.

## -noadjustaspect

When not used, client uses following algorithm adjusting the size of the screen: If the width is more than twice the height, reduce it by half because this is probably a dual-screen monitor. If this command line option is used then this algorithm will be disabled.

## -noconinput

Linux server stuff.

### Notes

Linux only.

## -nodga

Linux only. Do not use direct (mouse, keyboard) input.

### Notes

Linux only.

## -nodirectdraw

This switch will disable support for DirectDraw video modes.

## -noforcemaccel

Description: Disable the forcing of mouse acceleration on startup. Note: This parameter should only be used if you experience problems with the mouse.

## -noforcemparms

Description: Disable the forcing of mouse parameters on startup. Note: This parameter should only be used if you experience problems with the mouse.

## -noforcemspd

Description: Disable the forcing of mouse speed on startup. Note: This parameter should only be used if you experience problems with the mouse.

## -noforcevga

Description: Disable the forcing of the VGA 0x13 video mode on startup.

## -nofulldib

This will disable fullscreen, borderless window video modes. Note: DIB full screen modes are nothing more than window display modes which have been sized to the exact size of the screen. This parameter will disable support for such modes.

### Notes

Software only.

## -nohwgamma

Disables hardware gamma control.

### Notes

GL only.

## -nohwtimer

Turns off new precise timer and returns back old behaviourturns off new precise timer and returns back old behaviour.

## -noindphys

Disables Independent Physics.

## -nokbd

Disables the keyboard.

## -nokdga

Do not use direct keyboard input. Might solve linux application switching problems.

### Notes

Linux only.

## -nolibjpg

Prevents loading library for writing .jpg images.

## -nolibpng

Prevents loading library for writing .png images.

## -nomdga

Linux (glx) only. Do not use direct mouse input.

### Notes

Linux only.

## -nomouse

This switch will disable mouse support. Using this switch will increase your FPS, but obviously the disadvantage of having to play without mouse will in almost every case outweigh the FPS gain.

## -nomp3volumectrl

Disables control of volume of mp3 player.

## -nomtex

This extension will be autodetected and used. If for some reason it is not working correctly, specify the command line option "-nomtex" to disable it. Should disable waterfog.

## -nomultithreadedgl

Disables the use of multithreaded OpenGL. The default is to use multithreaded OpenGL if the system has such capability. Some systems suffer from choppy mouse input when multithreaded OpenGL is enabled. If you experience such issues try adding this option. MacOSX only!

### Notes

GL only.

## -nopriority

Server for Win32 automatically sets itself as a high priority task (HIGH_PRIORITY_CLASS). This is necessary for avoiding high PL when playing on localhost under Windows9x. If you desire to turn this feature off, launch the server with -nopriority command-line parameter. By the way, the reason for high ping (when QW2.30 server is running under Windows9x) was eliminated. Server uses 32 Megabytes of memory by default.

### Notes

Win32 only.

## -norjscripts

Disables usage of movement scripts by setting allow_scripts 0

## -noshadows

Different map lighting mode. Not allowed in usual games.

## -nosockraw

Disables usage of different pinging method (for Server Browser).

## -nosound

This switch will disable sound support. Using this switch will increase your FPS, but obviously the disadvantage of having to play without sound will in almost every case outweigh the FPS gain.

## -nostdout

This behavior can be modified using the -nostdin or -allstdin flags. Standard output and error are also forwarded to mpiexec, allowing redirection of the outputs of all processes. This can be turned off using -nostdout so that the standard output and error streams go through the normal PBS mechanisms, to the batch job output files, or to your terminal in the case of an interactive job.

## -noswapctrl

When used prevents loading Vsync control extensions.

## -notriplebuf

This switch will disable triple-buffer page flipping for the video. Note: This parameter will disable support for triple buffer thus it will make the performance of the Accelerated VESA video drivers similar to the Linear VESA drivers.

## -novbeaf

This command line switch will disable support for the Accelerated VESA video modes.

## -novesa

This command line switch will disable support for all VESA video modes.

## -nowd

Disable support for VESA video modes in favor of DirectX DirectDraw video modes.

## -nowindirect

This switch will disable support for VESA video modes in favor of DirectX DirectDraw video modes or windowed display.

## -particles `<limit>`

This switch specifies the maximum number of particles to be rendered on the screen at once.

### Arguments

Reasonable values are from 0 to 5000. config equivalent: r_particles_count

### Notes

GL only.

## -port `<port>`

Set the UDP port for game server.

### Arguments

Default is 27500

## -primarysound

This switch will force the client to use DirectSound's primary buffer output for sound instead of secondary buffer output. Note: Normally the game will use the secondary sound buffer because it is more compatible across more hardware. If you know that your hardware is 100% DirectX DirectSound compliant you can use this setting in order to increase the performance of the game. However when you switch the focus away from QW (task-switch), you will lose sound output until you restart QW.

## -resetwinpos

This switch will reset the position of the game window on the desktop. If the game window will ever become inaccessible because it was moved beyond the boundaries of the desktop you will have to use this command to reset the position information for the game window. The position information is stored in the "vid_window_x" and "vid_window_y" variables.

## -rtctimer

Use RTC (Real Time Clock) timer insteand of 'gettimeofday' system call. RTC timer frequency must be set to 1024: 'echo 1024 > /proc/sys/dev/rtc/max-user-freq' as root, or 'echo dev.rtc.max-user-freq=1024 >> /etc/sysctl.conf' as root to keep the change through reboots.

### Notes

Linux only.

## -ruleset `<ruleset>`

Disables triggers,truelighting and enable to play with 77 fps on kteam server. Example: ezquake-gl.exe -ruleset smackdown

### Arguments

E.g. smackdown, mtfl

## -showliberrors

Prints all errors of loading modules.

## -snddev `<n>`

Allows you to choose from multiple sound devices.

### Arguments

Device number.

## -snoforceformat

This switch will disable the forcing of the soundcard into the appropriate sound mode. Note: When this parameter is used the game will not try to force the sound card into the 11,025Hz at 16-bit stereo sound mode. Use this parameter if you are having problems with the sound initialization for your sound card.

## -startwindowed

Same as "-window" option.

## -surfcachesize `<size>`

This switch sets the amount of memory in kilobytes that should be allocated in kilobytes for the surface cache. Note: It is not necessary to use this parameter by default because the game will automatically allocate the necessary amount of memory for storing textures.

### Arguments

Amount of kilobytes.

## -tcpport `<port>`

Set the TCP port for game server.

### Arguments

Default is 0 i.e. no TCP port - only UDP.

## -use8bit

Enable 8bit mode.

## -userdir `<dir> <type> [<dir> <type> ...]`

A userdir command can be used for addition of directories to the list searched for files by the client (configs, sounds, models, etc.). Real handy when several players with their own configs files play Quake on a single computer. When issuing this command after reconnection to a server or parameter is not defined, a current userdir is printed in the console. It is possible to set userdir at client startup. Then configs will be executed taking this directory into account. One can use -userdir and-game separately or both at once. Example: qwcl262 -userdir ivan 2 -game fortress

### Arguments

0 (default) <quake_dir>/<gamedir>/<dir> ; 1 <quake_dir>/<dir>/gamedir> ; 2 <quake_dir>/qw/<dir>/<gamedir> ; 3 <quake_dir>/qw/<dir> ; 4 <quake_dir>/<dir> ; 5 $HOME/qw/<dir> (where $HOME is the contents of HOME enviroment variable).

## -verbose

Linux stuff.

## -visualid

Linux stuff.

## -wavonly

This switch is used to disable DirectSound support in favor of WAV playback. If your sound card does not support DirectX DirectSound then you will need to specify this parameter in order to force the game into use the Windows wave only sound output. You can also try this switch when having sound problems, however there will be a considerable loss in performance when using this parameter and the sound latency will be increased greatly, but at least you may be able to hear sounds.

## -width `<width>`

This switch specifies the width of the video resolution to run the game in. Note: You also need the -height command.

### Arguments

Example: ezquake-gl.exe -width 512 -height 384

## -window

This switch forces OpenGL verion of the client to run in a windowed mode.

### Notes

GL only.

## -winsize `<size>`

Set the winsize (Linux?)

## -zone `<size>`

This switch is used to allocate additional memory to the alias memory space. It is usually necessary when loading large scripts. It's already built to the client so you dont need this commandline command.

### Arguments

Amount of bytes.

Last update: 04.01.2008 14:36 PST, made by JohnNy_cz | ezQDocs